Package fr.gouv.vitam.antivirus.client.invoker

# Class StringUtil

java.lang.Object
fr.gouv.vitam.antivirus.client.invoker.StringUtil

@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen", date="2025-10-29T21:12:11.613695899+01:00[Europe/Paris]", comments="Generator version: 7.4.0") public class StringUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `containsIgnoreCase(String[] array, String value)`
  Check if the given array contains the given value (with case-insensitive comparison).
  `static String`
  `join(String[] array, String separator)`
  Join an array of strings with the given separator.
  `static String`
  `join(Collection<String> list, String separator)`
  Join a list of strings with the given separator.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringUtil

    public StringUtil()

- ## Method Details

  - ### containsIgnoreCase

    public static boolean containsIgnoreCase(String[] array, String value)
    Check if the given array contains the given value (with case-insensitive comparison).
    Parameters:
      `array` - The array
      `value` - The value to search
    Returns:
      true if the array contains the value

  - ### join

    public static String join(String[] array, String separator)
    Join an array of strings with the given separator.

    Note: This might be replaced by utility method from commons-lang or guava someday if one of those libraries is added as dependency.

    Parameters:
      `array` - The array of strings
      `separator` - The separator
    Returns:
      the resulting string

  - ### join

    public static String join(Collection<String> list, String separator)
    Join a list of strings with the given separator.
    Parameters:
      `list` - The list of strings
      `separator` - The separator
    Returns:
      the resulting string